<template>
  <modal name="statements-apply"
         class="arcticmodal-container"
         width="600"
         height="auto"
         :adaptive=true
         @before-open="beforeOpen">
    <div class="container m-header">
      <div @click="close()" class="box-modal_close arcticmodal-close"></div>
      <div class="row">
        <div class="column">
          <h3>{{params.title}}</h3>
        </div>
      </div>
    </div>
    <div v-html="params.content" class="container content feedback-block"></div>
    <div class="row center" v-if="button && message">
      <button @click.prevent="emitAndClose">Подать заявление</button>
    </div>
    <div class="container message-for-file-an-appeal" v-if="!message">
      Данное окно закроется через {{timeout}} {{$helpers.plural(timeout, ['секунду', 'секунды', 'секунд'])}}
    </div>
  </modal>
</template>
<script>
  export default {
    name: 'statements-apply',
    data () {
      return {
        loading: true,
        params: {},
        statements: [],
        message: true,
        timeout: 6,
        ending: ''
      }
    },
    props: {
      button: {
        required: false,
        type: Boolean,
        default: true
      }
    },
    methods: {
      async beforeOpen (event) {
        this.params = event.params
      },
      close () {
        this.$modal.hide('statements-apply')
      },
      emitAndClose () {
        this.$emit('apply', this.params.type);
        this.message = false;
        this.$toastr.success(`Заявление будет отправлено вам на e-mail: ${this.$user.email}`, 'Успешно');
        let interval = setInterval(() => {
            this.timeout--;
            if(!this.timeout) {
                clearInterval(interval);
                this.close();
                return;
            }

        }, 1000);
      },
    }
  }
</script>
<style scoped>
  h3 {
    margin-bottom: 0px !important;
  }
  .message-for-file-an-appeal {
    margin: -30px 0 -5px;
    text-align: center;
    color: #b4cadd;
  }
</style>
